> ## Documentation Index
> Fetch the complete documentation index at: https://docs.podcastor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Save designed voice

> Save a designed voice to the shared Web voice library.

MCP tool: `podcast_save_designed_voice`. OAuth scope: `asset.write`.


## OpenAPI

````yaml api-reference/openapi.json POST /open/podcast/v1/voices/design/save
openapi: 3.0.3
info:
  description: >-
    Atomic Podcast capabilities. Credits, tasks and assets are shared with the
    Web account and Space.
  title: Podcastor API
  version: 1.0.0
servers:
  - url: https://api-services.podcastor.ai
    description: Podcastor API
security: []
paths:
  /open/podcast/v1/voices/design/save:
    post:
      tags:
        - Podcast
      summary: save designed voice
      description: Save a designed voice to the shared Web voice library.
      operationId: podcast_save_designed_voice
      parameters:
        - description: Replay a completed identical request without repeating side effects.
          in: header
          name: Idempotency-Key
          schema:
            maxLength: 128
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.PrjTimbreVoiceDesignSaveReq'
        description: 请求体
        required: true
        x-originalParamName: req
      responses:
        '200':
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/echo.JSON'
                  - properties:
                      data:
                        $ref: '#/components/schemas/vo.PrjTimbreVoiceDesignSaveResp'
                    type: object
          description: OK
      security:
        - ApiKey: []
components:
  schemas:
    dto.PrjTimbreVoiceDesignSaveReq:
      properties:
        desc:
          description: 音色描述
          type: string
        language:
          description: 音色语言标识，写入音色表用于后续筛选
          type: string
        name:
          description: 保存后的音色名称
          type: string
        tag:
          description: 音色标签
          type: string
        task_item_id:
          description: 音色设计任务item ID
          type: integer
      required:
        - desc
        - language
        - name
        - tag
        - task_item_id
      type: object
    echo.JSON:
      properties:
        cause:
          type: string
        code:
          type: integer
        data: {}
        details: {}
        msg:
          type: string
        rid:
          type: string
      type: object
    vo.PrjTimbreVoiceDesignSaveResp:
      properties:
        timbre_id:
          type: integer
        timbre_unique_id:
          type: string
        voice_id:
          type: string
      type: object
  securitySchemes:
    ApiKey:
      in: header
      name: X-Api-Key
      type: apiKey

````